/*
* Copyright (C) 2008 Global Graphics Software Ltd. All rights reserved.
*/

/**
* @file     edlblend.h
* @ingroup  IDom
* @brief    An enum for transparency blend modes.
*
*/

#ifndef __EDLIDOMBLEND_H__
#define __EDLIDOMBLEND_H__

#include <edl/edlnamespaces.h>

_BEGIN_EDL_DOM_NAMESPACE

typedef enum
{
    eBlendModeUnspecified,
    eBlendModeNormal,
    eBlendModeMultiply,
    eBlendModeScreen,
    eBlendModeOverlay,
    eBlendModeSoftLight,
    eBlendModeHardLight,
    eBlendModeColorDodge,
    eBlendModeColorBurn,
    eBlendModeDarken,
    eBlendModeLighten,
    eBlendModeDifference,
    eBlendModeExclusion,
    eBlendModeHue,
    eBlendModeSaturation,
    eBlendModeColor,
    eBlendModeLuminosity
} eBlendMode;

_END_EDL_DOM_NAMESPACE

#endif

