﻿// -----------------------------------------------------------------------
//  <copyright file="IMakoLayer.cs" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public interface IMakoLayer : IDisposable
    {
        string GetName();
        bool GetIsPrintable();
        bool GetIsVisible();
        void SetIsVisible(bool value);
        bool GetIsLocked();
        void SetIsLocked(bool value);
    }
}