﻿// -----------------------------------------------------------------------
//  <copyright file="IMakoStateChange.cs" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

using System.Collections.Generic;

namespace Mako.Wrapper
{
    public interface IMakoStateChange
    {
        IEnumerable<IMakoElement> ChangedElements { get; }
        IEnumerable<int> ChangedPageIndexes { get; }
        MakoStateChangeType ChangeType { get; }
    }
}