// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IMakoElement.cs" company="Global Graphics Software Ltd">
//   Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public interface IMakoElement : IDisposable
    {
        MakoRect GetBoundingBox();

        void SetBoundingBox(MakoRect makoRect, bool isInvertedHorizontally, bool isInvertedVertically);

        IntPtr GetNodeHandle();

        int GetPageIndex();

        IntPtr GetElementHandle();

        IMakoElement Copy(int newPageIndex);
    }
}