// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IMakoRenderer.cs" company="Global Graphics Software Ltd">
//   Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
// </copyright>
// <summary>
//   
// </summary>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public interface IMakoRenderer : IDisposable
    {
        void GetRaster(IntPtr documentHandle, int pageIndex, MakoSize destinationSize, MakoRect sourceRect, string[] separations, int nSeparation, ref MakoRaster raster);

        void FreeRaster(MakoRaster raster);
    }
}
