// -----------------------------------------------------------------------
//  <copyright file="IPageTransformer.h" company="Global Graphics Software Ltd">
//      Copyright (c) 2018 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#pragma once

#include <jawsmako/jawsmako.h>
#include <memory>

class IPageTransformer;
typedef std::shared_ptr<IPageTransformer> IPageTransformerPtr;

class IPageTransformer
{
public:
    IPageTransformer();
    virtual ~IPageTransformer();

    virtual JawsMako::FRect getTransformedPageRect() = 0;

    virtual JawsMako::FMatrix getPageTransform() = 0;

};

